stamLeaf-class {stam} | R Documentation

## Leaf Nodes in Classifier Nets by StAM

### Description

Objects of this class represent leaf nodes in a classifier net as it is used by structured analysis of microarray data. These are the only nodes which have genes annotated.

### Objects from the Class

Objects can be created by calls of the form `new("stamLeaf", ID, chip, probesidx)`.

`ID`
  is the GO identifier as character string
`chip`
  the name of the chip for which the classifier net is generated.
`probes`
  a character vector holding the identifiers of the probesets in the order as they occur in the expression matrix

### Slots

`chip`:
  Object of class `"character"`, the name of the chip for which the classifier net is generated.
`probes`:
  Object of class `"numeric"`, for each probeset holds its position in the expression metrices to be analyzed
`pamfit`:
  Object of class `"nsc"`, holds the results of pamr.train restricted to the genes annotated to the current leaf node.
`delta`:
  Object of class `"numeric"`, stores the best delty for the local pamfit as determined by pamr.cv.

See `stamNode-class` fot `ID`, `category`, `replacedParents` and `supNode`.

### Extends

Class `"stamNode"`, directly.

### Methods

print
  `signature(x = "stamLeaf")`: print information on the leaf node.
writeHTML
  `signature(x = "stamLeaf")`: generate HTML information on the leaf node.

### Author(s)

Claudio Lottaz

### See Also

`stamNode-class`, `stamINode-class`

[Package stam version 1.10.0 Index]